<?php

class m120905_184758_tbl_usuarios extends CDbMigration
{
	public function safeUp()
	{
            $this->createTable('tbl_usuarios', array(
                'id' => 'pk',
                'id_empresa' => 'integer',
                'estado' => 'decimal(1,0)',
                'clave_seguridad' => 'string',
                'email' => 'string',
                'nombre' => 'string',
                'apellidos' => 'string',
                'password' => 'string NOT NULL',
                'tipo' => 'string NOT NULL',
                'titulo' => 'string',
                'descripcion' => 'text',
                'localidad' => 'string',
                'telefono' => 'string',
                'last_login_time' => 'datetime',
            ));
            
            $this->addForeignKey('fk_usuarios_1', 'tbl_usuarios', 'id_empresa', 'tbl_empresas', 'id', 'CASCADE', 'CASCADE');
	}

	public function safeDown()
	{
            $this->dropForeignKey('fk_usuarios_1', 'tbl_usuarios');
            $this->dropTable('tbl_usuarios');
	}
        
}